"anything-in-git" ? #1

Closed
chalmagean opened this Issue Nov 2, 2011 · 7 comments

Projects

None yet

2 participants

@chalmagean

I am trying to integrate anything-on-rails into my setup and it looks like you have a dependency that I can't find, on line #6 in setup-anything.el:

(load "anything-in-git")

is that some package ?

--- Cezar

@wolfmanjm
Owner

It is not required, but I found it useful for limiting the scope of files searched if you use git. I am not sure where I got it from but I'll add it to the vendor directory

@wolfmanjm wolfmanjm closed this Nov 2, 2011
@chalmagean

that doesn't seem to work for me, I get

setq: Symbol's function definition is void: magit-get-top-dir

while in a rails project (with git)

@wolfmanjm
Owner

you need to also install magit if you want to use anything git, magit is available just google it

@chalmagean

I do have magit installed and I use it pretty often

@wolfmanjm
Owner

must be a version issue then.

@chalmagean

ok for anyone else encountering this issue, I resolved mine by requiring magit cause I had installed (version 1.0.0) but because I didn't require it, I was actually using the version that ships with emacs

so by doing

(require 'magit)

everything works great

@wolfmanjm
Owner

Thanks I added the info to the readme.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment